Bug 845859 - Please make avahi lennart-free
Please make avahi lennart-free
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 20:25 EDT by Robert Scheck
Modified: 2015-10-02 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2012-08-05 20:25:34 EDT
Description of problem:
# zgrep -i lennart /usr/share/man/man5/avahi-daemon.conf.5.gz
\fB/home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf
#

# zgrep -i lennart /usr/share/man/man5/avahi.hosts.5.gz
\fB/home/lennart/tmp/avahi/etc/avahi/hosts
\fI/home/lennart/tmp/avahi/etc/avahi/hosts\f1 is a file which may be used to define static host name to IP address mappings for multicast DNS. This is especially useful when publishing DNS-SD services on behalf of other hosts. See \fBavahi.service(5)\f1 for more information.
#

# zgrep -i lennart /usr/share/man/man5/avahi.service.5.gz
\fB/home/lennart/tmp/avahi/etc/avahi/services/*.service
\fI/home/lennart/tmp/avahi/etc/avahi/services/*.service\f1 are XML fragments containing static DNS-SD service data. Every service file can contain multiple service definitions which share the same name. This is useful for publishing service data for services which implement multiple protocols. (i.e. a printer implementing _ipp._tcp and _printer._tcp)
#

# zgrep -i lennart /usr/share/man/man8/avahi-daemon.8.gz
Upon startup avahi-daemon interprets its configuration file \fI/home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf\f1 and reads XML fragments from \fI/home/lennart/tmp/avahi/etc/avahi/services/*.service\f1 which may define static DNS-SD services. If you enable \fBpublish-resolv-conf-dns-servers\f1 in \fIavahi-daemon.conf\f1 the file \fI/etc/resolv.conf\f1 will be read, too.
Specify the configuration file to read. (default: /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf)
Tell an already running avahi-daemon to reread \fI/etc/resolv.conf\f1 (in case you enabled \fBpublish-resolv-conf-dns-servers\f1 in \fIavahi-daemon.conf\f1) the files from \fI/home/lennart/tmp/avahi/etc/avahi/services/\f1. Please note that this will not reload the \fI/home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf\f1. (equivalent to sending a SIGHUP)
\fI/home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf\f1: the default configuration file for avahi-daemon, \fBavahi-daemon.conf(5)\f1 for more information.
\fI/home/lennart/tmp/avahi/etc/avahi/hosts\f1: additional static hostname mappings to publish in mDNS, see \fBavahi.hosts(5)\f1 for more information.
\fI/home/lennart/tmp/avahi/etc/avahi/services/*.service\f1: static service definitions, see \fBavahi.service(5)\f1 for more information.
\fISIGHUP\f1: avahi-daemon will reload unicast DNS server data from \fI/etc/resolv.conf\f1 and static service definitions from \fI/home/lennart/tmp/avahi/etc/avahi/services/\f1. (Same as \fB--reload\f1)
#

# grep -i 0pointer.de -r /etc/avahi/
/etc/avahi/avahi-daemon.conf:browse-domains=0pointer.de, zeroconf.org
#

Version-Release number of selected component (if applicable):
avahi-0.6.31-3.fc17.armv5tel

How reproducible:
Everytime, see above and below.

Actual results:
Avahi contains lots of /home/lennart or 0pointer.de stuff.

Expected results:
Avahi should not contain any /home/lennart or 0pointer.de stuff.
Comment 1 Fedora End Of Life 2013-07-03 19:58:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:10:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Ian Bolf 2015-10-02 22:40:12 EDT
These paths still exist in Fedora 22

# zgrep -i lennart /usr/share/man/man5/avahi-daemon.conf.5.gz
\fB/home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf

Note You need to log in before you can comment on or make changes to this bug.